Package org.opensaml.soap.wstrust

# Class WSTrustConstants

java.lang.Object
org.opensaml.soap.wstrust.WSTrustConstants

public final class WSTrustConstants extends Object
The WS-Trust 1.3 constants.

See Also:
  - "WS-Trust 1.3 Specification"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final QName`
`SOAP_FAULT_AUTHENTICATION_BAD_ELEMENTS`
WS-Trust SOAP fault code: "wst:AuthenticationBadElements".
`static final QName`
`SOAP_FAULT_BAD_REQUEST`
WS-Trust SOAP fault code: "wst:BadRequest".
`static final QName`
`SOAP_FAULT_EXPIRED_DATA`
WS-Trust SOAP fault code: "wst:ExpiredData".
`static final QName`
`SOAP_FAULT_FAILED_AUTHENTICATION`
WS-Trust SOAP fault code: "wst:FailedAuthentication".
`static final QName`
`SOAP_FAULT_INVALID_REQUEST`
WS-Trust SOAP fault code: "wst:InvalidRequest".
`static final QName`
`SOAP_FAULT_INVALID_SCOPE`
WS-Trust SOAP fault code: "wst:InvalidScope".
`static final QName`
`SOAP_FAULT_INVALID_SECURITY_TOKEN`
WS-Trust SOAP fault code: "wst:InvalidSecurityToken".
`static final QName`
`SOAP_FAULT_INVALID_TIME_RANGE`
WS-Trust SOAP fault code: "wst:InvalidTimeRange".
`static final QName`
`SOAP_FAULT_RENEW_NEEDED`
WS-Trust SOAP fault code: "wst:RenewNeeded".
`static final QName`
`SOAP_FAULT_REQUEST_FAILED`
WS-Trust SOAP fault code: "wst:RequestFailed".
`static final QName`
`SOAP_FAULT_UNABLE_TO_RENEW`
WS-Trust SOAP fault code: "wst:UnableToRenew".
`static final String`
`WSA_ACTION_RST_CANCEL`
WS-Addressing RequestSecurityToken (RST) action URI 'Cancel'.
`static final String`
`WSA_ACTION_RST_ISSUE`
WS-Addressing RequestSecurityToken (RST) action URI 'Issue'.
`static final String`
`WSA_ACTION_RST_KET`
WS-Addressing RequestSecurityToken (RST) action URI 'KET'.
`static final String`
`WSA_ACTION_RST_RENEW`
WS-Addressing RequestSecurityToken (RST) action URI 'Renew'.
`static final String`
`WSA_ACTION_RST_STSCANCEL`
WS-Addressing RequestSecurityToken (RST) action URI 'STSCancel'.
`static final String`
`WSA_ACTION_RST_VALIDATE`
WS-Addressing RequestSecurityToken (RST) action URI 'Validate'.
`static final String`
`WSA_ACTION_RSTR_CANCEL`
WS-Addressing RequestSecurityTokenResponse (RSTR) action URI 'Cancel'.
`static final String`
`WSA_ACTION_RSTR_CANCEL_FINAL`
WS-Addressing RequestSecurityTokenResponse (RSTR) action URI 'CancelFinal'.
`static final String`
`WSA_ACTION_RSTR_ISSUE`
WS-Addressing RequestSecurityTokenResponse (RSTR) action URI 'Issue'.
`static final String`
`WSA_ACTION_RSTR_KET`
WS-Addressing RequestSecurityTokenResponse (RSTR) action URI 'KET'.
`static final String`
`WSA_ACTION_RSTR_KET_FINAL`
WS-Addressing RequestSecurityTokenResponse (RSTR) action URI 'KETFinal'.
`static final String`
`WSA_ACTION_RSTR_RENEW`
WS-Addressing RequestSecurityTokenResponse (RSTR) action URI 'Renew'.
`static final String`
`WSA_ACTION_RSTR_RENEW_FINAL`
WS-Addressing RequestSecurityTokenResponse (RSTR) action URI 'RenewFinal'.
`static final String`
`WSA_ACTION_RSTR_VALIDATE`
WS-Addressing RequestSecurityTokenResponse (RSTR) action URI 'Validate'.
`static final String`
`WSA_ACTION_RSTR_VALIDATE_FINAL`
WS-Addressing RequestSecurityTokenResponse (RSTR) action URI 'ValidateFinal'.
`static final String`
`WSA_ACTION_RSTRC_ISSUE_FINAL`
WS-Addressing RequestSecurityTokenResponseCollection (RSTRC) action URI 'Issue'.
`static final String`
`WST_NS`
WS-Trust 1.3 namespace.
`static final String`
`WST_PREFIX`
WS-Trust namespace prefix.
`static final String`
`WST_VERSION`
WS-Trust version.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`WSTrustConstants()`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### WST_VERSION

@Nonnull @NotEmpty public static final String WST_VERSION
WS-Trust version.

See Also:
  - Constant Field Values

### WST_PREFIX

@Nonnull @NotEmpty public static final String WST_PREFIX
WS-Trust namespace prefix.

See Also:
  - Constant Field Values

### WST_NS

@Nonnull @NotEmpty public static final String WST_NS
WS-Trust 1.3 namespace.

See Also:
  - Constant Field Values

### WSA_ACTION_RST_ISSUE

@Nonnull @NotEmpty public static final String WSA_ACTION_RST_ISSUE
WS-Addressing RequestSecurityToken (RST) action URI 'Issue'.

See Also:
  - Constant Field Values

### WSA_ACTION_RST_CANCEL

@Nonnull @NotEmpty public static final String WSA_ACTION_RST_CANCEL
WS-Addressing RequestSecurityToken (RST) action URI 'Cancel'.

See Also:
  - Constant Field Values

### WSA_ACTION_RST_STSCANCEL

@Nonnull @NotEmpty public static final String WSA_ACTION_RST_STSCANCEL
WS-Addressing RequestSecurityToken (RST) action URI 'STSCancel'.

See Also:
  - Constant Field Values

### WSA_ACTION_RST_VALIDATE

@Nonnull @NotEmpty public static final String WSA_ACTION_RST_VALIDATE
WS-Addressing RequestSecurityToken (RST) action URI 'Validate'.

See Also:
  - Constant Field Values

### WSA_ACTION_RST_RENEW

@Nonnull @NotEmpty public static final String WSA_ACTION_RST_RENEW
WS-Addressing RequestSecurityToken (RST) action URI 'Renew'.

See Also:
  - Constant Field Values

### WSA_ACTION_RST_KET

@Nonnull @NotEmpty public static final String WSA_ACTION_RST_KET
WS-Addressing RequestSecurityToken (RST) action URI 'KET'.

See Also:
  - Constant Field Values

### WSA_ACTION_RSTR_ISSUE

@Nonnull @NotEmpty public static final String WSA_ACTION_RSTR_ISSUE
WS-Addressing RequestSecurityTokenResponse (RSTR) action URI 'Issue'.

See Also:
  - Constant Field Values

### WSA_ACTION_RSTR_CANCEL

@Nonnull @NotEmpty public static final String WSA_ACTION_RSTR_CANCEL
WS-Addressing RequestSecurityTokenResponse (RSTR) action URI 'Cancel'.

See Also:
  - Constant Field Values

### WSA_ACTION_RSTR_CANCEL_FINAL

@Nonnull @NotEmpty public static final String WSA_ACTION_RSTR_CANCEL_FINAL
WS-Addressing RequestSecurityTokenResponse (RSTR) action URI 'CancelFinal'.

See Also:
  - Constant Field Values

### WSA_ACTION_RSTR_VALIDATE

@Nonnull @NotEmpty public static final String WSA_ACTION_RSTR_VALIDATE
WS-Addressing RequestSecurityTokenResponse (RSTR) action URI 'Validate'.

See Also:
  - Constant Field Values

### WSA_ACTION_RSTR_VALIDATE_FINAL

@Nonnull @NotEmpty public static final String WSA_ACTION_RSTR_VALIDATE_FINAL
WS-Addressing RequestSecurityTokenResponse (RSTR) action URI 'ValidateFinal'.

See Also:
  - Constant Field Values

### WSA_ACTION_RSTR_RENEW

@Nonnull @NotEmpty public static final String WSA_ACTION_RSTR_RENEW
WS-Addressing RequestSecurityTokenResponse (RSTR) action URI 'Renew'.

See Also:
  - Constant Field Values

### WSA_ACTION_RSTR_RENEW_FINAL

@Nonnull @NotEmpty public static final String WSA_ACTION_RSTR_RENEW_FINAL
WS-Addressing RequestSecurityTokenResponse (RSTR) action URI 'RenewFinal'.

See Also:
  - Constant Field Values

### WSA_ACTION_RSTR_KET

@Nonnull @NotEmpty public static final String WSA_ACTION_RSTR_KET
WS-Addressing RequestSecurityTokenResponse (RSTR) action URI 'KET'.

See Also:
  - Constant Field Values

### WSA_ACTION_RSTR_KET_FINAL

@Nonnull @NotEmpty public static final String WSA_ACTION_RSTR_KET_FINAL
WS-Addressing RequestSecurityTokenResponse (RSTR) action URI 'KETFinal'.

See Also:
  - Constant Field Values

### WSA_ACTION_RSTRC_ISSUE_FINAL

@Nonnull @NotEmpty public static final String WSA_ACTION_RSTRC_ISSUE_FINAL
WS-Addressing RequestSecurityTokenResponseCollection (RSTRC) action URI 'Issue'.

See Also:
  - Constant Field Values

### SOAP_FAULT_INVALID_REQUEST

@Nonnull public static final QName SOAP_FAULT_INVALID_REQUEST
WS-Trust SOAP fault code: "wst:InvalidRequest".

### SOAP_FAULT_FAILED_AUTHENTICATION

@Nonnull public static final QName SOAP_FAULT_FAILED_AUTHENTICATION
WS-Trust SOAP fault code: "wst:FailedAuthentication".

### SOAP_FAULT_REQUEST_FAILED

@Nonnull public static final QName SOAP_FAULT_REQUEST_FAILED
WS-Trust SOAP fault code: "wst:RequestFailed".

### SOAP_FAULT_INVALID_SECURITY_TOKEN

@Nonnull public static final QName SOAP_FAULT_INVALID_SECURITY_TOKEN
WS-Trust SOAP fault code: "wst:InvalidSecurityToken".

### SOAP_FAULT_AUTHENTICATION_BAD_ELEMENTS

@Nonnull public static final QName SOAP_FAULT_AUTHENTICATION_BAD_ELEMENTS
WS-Trust SOAP fault code: "wst:AuthenticationBadElements".

### SOAP_FAULT_BAD_REQUEST

@Nonnull public static final QName SOAP_FAULT_BAD_REQUEST
WS-Trust SOAP fault code: "wst:BadRequest".

### SOAP_FAULT_EXPIRED_DATA

@Nonnull public static final QName SOAP_FAULT_EXPIRED_DATA
WS-Trust SOAP fault code: "wst:ExpiredData".

### SOAP_FAULT_INVALID_TIME_RANGE

@Nonnull public static final QName SOAP_FAULT_INVALID_TIME_RANGE
WS-Trust SOAP fault code: "wst:InvalidTimeRange".

### SOAP_FAULT_INVALID_SCOPE

@Nonnull public static final QName SOAP_FAULT_INVALID_SCOPE
WS-Trust SOAP fault code: "wst:InvalidScope".

### SOAP_FAULT_RENEW_NEEDED

@Nonnull public static final QName SOAP_FAULT_RENEW_NEEDED
WS-Trust SOAP fault code: "wst:RenewNeeded".

### SOAP_FAULT_UNABLE_TO_RENEW

@Nonnull public static final QName SOAP_FAULT_UNABLE_TO_RENEW
WS-Trust SOAP fault code: "wst:UnableToRenew".

## Constructor Details

### WSTrustConstants

private WSTrustConstants()
Constructor. Private to prevent instantiation.